package com.huatek.busi.service.impl.dataoutput.impls;

import java.time.LocalDate;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Component;

import com.google.common.collect.Lists;
import com.huatek.busi.common.CacMonitorTypeCode;
import com.huatek.busi.service.impl.dataoutput.helper.OptExecutor;
import com.huatek.busi.vo.dataoutput.OutputEquipmentVo;

@Component
@OptExecutor(mainEquipmentType = "311", subEquipmentType = "")
public class CwgTemperatureExecutor extends AbstractDataOutputExecutor {
    @Override
    protected Map<String, Object> getParams(OutputEquipmentVo vo, LocalDate day) {
        Map<String, Object> params = super.getParams(vo, day);
        params.put("cacMonitorTypeCode", CacMonitorTypeCode.CWG.getCode());
        return params;
    }

    @Override
    protected Map<String, Object> getParamsForCw(OutputEquipmentVo vo, LocalDate day) {
        Map<String, Object> params = super.getParamsForCw(vo, day);
        params.put("cacMonitorTypeCode", CacMonitorTypeCode.CWG.getCode());
        return params;
    }

    @Override
    protected List<String> getKeys() {
        return Lists.newArrayList("sensorId", "sensorName", "timeStamp", "phase", "tmp");
    }
}
